Loading...
Searching...
No Matches
EST_WFST_Transition Class Reference

`#include <include/EST_WFST.h>`

## Public Member Functions

| EST_WFST_Transition (const EST_WFST_Transition &t)
| EST_WFST_Transition (float w, int s, int i, int o)
float | weight () const
int | state () const
int | in_symbol () const
int | out_symbol () const
void | set_weight (float f)
void | set_state (int s)

## Detailed Description

an internal class for \Ref{EST_WFST} for representing transitions in an WFST

Definition at line 60 of file EST_WFST.h.

## Constructor & Destructor Documentation

## EST_WFST_Transition() [1/2]

EST_WFST_Transition::EST_WFST_Transition | ( | const EST_WFST_Transition & | t | ) |

inline

Definition at line 68 of file EST_WFST.h.

## EST_WFST_Transition() [2/2]

EST_WFST_Transition::EST_WFST_Transition | ( | float | w,
|  | int | s,
|  | int | i,
|  | int | o )

inline

Definition at line 71 of file EST_WFST.h.

## ~EST_WFST_Transition()

EST_WFST_Transition::~EST_WFST_Transition | ( |  | ) |

inline

Definition at line 73 of file EST_WFST.h.

## Member Function Documentation

## weight()

float EST_WFST_Transition::weight | ( |  | ) | const

inline

Definition at line 74 of file EST_WFST.h.

## state()

int EST_WFST_Transition::state | ( |  | ) | const

inline

Definition at line 75 of file EST_WFST.h.

## in_symbol()

int EST_WFST_Transition::in_symbol | ( |  | ) | const

inline

Definition at line 76 of file EST_WFST.h.

## out_symbol()

int EST_WFST_Transition::out_symbol | ( |  | ) | const

inline

Definition at line 77 of file EST_WFST.h.

## set_weight()

void EST_WFST_Transition::set_weight | ( | float | f | ) |

inline

Definition at line 78 of file EST_WFST.h.

## set_state()

void EST_WFST_Transition::set_state | ( | int | s | ) |

inline

Definition at line 79 of file EST_WFST.h.

The documentation for this class was generated from the following file:

- include/EST_WFST.h